## org.jfree.base
Class Library

    java.lang.Object
      org.jfree.base.Library

Direct Known Subclasses:
  BasicProjectInfo, Library

    public class Library

extends java.lang.Object

A simple class representing a library in a software project. For use in the `AboutFrame` class.

Author:
  David Gilbert

Constructor Summary
`protected` `Library()` Creates a new library reference.
`` `Library(java.lang.String name, java.lang.String version, java.lang.String licence, java.lang.String info)` Creates a new library reference.

Method Summary
`boolean` `equals(java.lang.Object o)` Tests this object for equality with an arbitrary object.
`java.lang.String` `getInfo()` Returns the project info for the library.
`java.lang.String` `getLicenceName()` Returns the licenceName text.
`java.lang.String` `getName()` Returns the library name.
`java.lang.String` `getVersion()` Returns the library version.
`int` `hashCode()` Returns a hash code for this instance.
`protected void` `setInfo(java.lang.String info)` Sets the project info.
`protected void` `setLicenceName(java.lang.String licenceName)` Sets the licence name.
`protected void` `setName(java.lang.String name)` Sets the project name.
`protected void` `setVersion(java.lang.String version)` Sets the version identifier.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Library

    public Library(java.lang.String name,
                   java.lang.String version,
                   java.lang.String licence,
                   java.lang.String info)

  Creates a new library reference.

  Parameters:
    `name` - the name.
    `version` - the version.
    `licence` - the licenceName.
    `info` - the web address or other info.

### Library

    protected Library()

  Creates a new library reference.

Method Detail

### getName

    public java.lang.String getName()

  Returns the library name.

  Returns:
    the library name.

### getVersion

    public java.lang.String getVersion()

  Returns the library version.

  Returns:
    the library version.

### getLicenceName

    public java.lang.String getLicenceName()

  Returns the licenceName text.

  Returns:
    the licenceName text.

### getInfo

    public java.lang.String getInfo()

  Returns the project info for the library.

  Returns:
    the project info.

### setInfo

    protected void setInfo(java.lang.String info)

  Sets the project info.

  Parameters:
    `info` - the project info.

### setLicenceName

    protected void setLicenceName(java.lang.String licenceName)

  Sets the licence name.

  Parameters:
    `licenceName` - the licence name.

### setName

    protected void setName(java.lang.String name)

  Sets the project name.

  Parameters:
    `name` - the project name.

### setVersion

    protected void setVersion(java.lang.String version)

  Sets the version identifier.

  Parameters:
    `version` - the version identifier.

### equals

    public boolean equals(java.lang.Object o)

  Tests this object for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.